Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.samlp
Class Status

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.samlp.Status`

public class Status
extends oracle.security.xmlsec.util.XMLElement

A SAML protocol element representing the status of a response.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`Status(org.w3c.dom.Document owner)` Creates a new `Status` instance.
`Status(org.w3c.dom.Element element)` Creates a new `Status` instance from the given Element node.
`Status(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `Status` instance from the given Element node.

Method Summary
`StatusCode` | `getStatusCode()` Gets the status code.
`StatusDetail` | `getStatusDetail()` Gets the status detail that contains additional information concerning an error condition.
`java.lang.String` | `getStatusMessage()` Gets the status message.
`void` | `setStatusCode(StatusCode statusCode)` Sets the status code.
`void` | `setStatusDetail(StatusDetail statusDetail)` Sets the status detail.
`void` | `setStatusMessage(java.lang.String message)` Adds a message to this status element.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Status

    public Status(org.w3c.dom.Element element)
           throws org.w3c.dom.DOMException

  Creates a new `Status` instance from the given Element node.
Parameters:
  `element` - A Status element.

### Status

    public Status(org.w3c.dom.Element element,
                  java.lang.String systemId)
           throws org.w3c.dom.DOMException

  Creates a new `Status` instance from the given Element node.
Parameters:
  `element` - A Status element.
  `systemId` - The URI string system ID for the `Status`.

### Status

    public Status(org.w3c.dom.Document owner)
           throws org.w3c.dom.DOMException

  Creates a new `Status` instance.
Parameters:
  `owner` - The owner document of the new Status.

Method Detail

### setStatusCode

    public void setStatusCode(StatusCode statusCode)

  Sets the status code.
  Parameters:
    `statusCode` - A `StatusCode` object representing a SAML status code element.

### getStatusCode

    public StatusCode getStatusCode()

  Gets the status code.
  Returns:
    A `StatusCode` object.

### setStatusMessage

    public void setStatusMessage(java.lang.String message)

  Adds a message to this status element.
  Parameters:
    `message` - A String message that may be returned to an operator.

### getStatusMessage

    public java.lang.String getStatusMessage()

  Gets the status message.
  Returns:
    A String object representing status message or null if status message not specified.

### setStatusDetail

    public void setStatusDetail(StatusDetail statusDetail)

  Sets the status detail.
  Parameters:
    `statusDetail` - A `StatusDetail` object containing additional information concerning an error condition.

### getStatusDetail

    public StatusDetail getStatusDetail()

  Gets the status detail that contains additional information concerning an error condition.
  Returns:
    A `StatusDetail` object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.